运维管理/监控相关接口/监控报警相关接口/时序数据(Metric)
DELETETime Series Data (Metric)起始版本 0.6同步需要认证
删除metric数据模板
删除metric数据模板
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
deleteModeString删除模式(Permissive / Enforcing,Permissive)
systemTagsList系统标签
userTagsList用户标签
响应状态
DELETE 接口成功时返回空对象,失败时返回标准错误结构。
成功响应
{}错误响应
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}请求地址
DELETE/zstack/v1/zwatch/metrics/httpreceivers/templates/{uuid}
/zstack/v1/zwatch/metrics/httpreceivers/templates/{uuid}
请求示例
curl -X DELETE 'http://{host}/zstack/v1/zwatch/metrics/httpreceivers/templates/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{}变更历史
此 API 暂无变更历史记录。
